Skip to main content

Add email to customer

POSThttps://carchost.fieldcontrol.com.br/customers/{customerId}/emails

Adds an email to the customer.

Requires the X-Api-Key, User-Agent and Content-Type: application/json headers. Limit: 1 request per second (learn more).

Request​

Path parameters

customerIdstringrequired

Customer identifier.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Request body

JSON, sent with the Content-Type: application/json header.

addressstring (email)required

Email address. Converted to lowercase.

typestringrequired

Email type.

Accepted values: personal, work.

primaryboolean

Sets it as the customer's primary email.

Default: false.

Responses

  • 201

    Email created.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 404

    Resource not found. The response body is empty.

  • 422

    Invalid email. When address is not sent, the response has an empty body.

    resourceValidationErr →
  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.